Debian Bug report logs - #537210
libbsd: FTBFS: build fail on Renesas SH(sh4)

version graph

Package: libbsd; Maintainer for libbsd is Guillem Jover <guillem@debian.org>;

Reported by: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>

Date: Thu, 16 Jul 2009 05:36:01 UTC

Severity: wishlist

Tags: patch

Found in version 0.1.4-1

Fixed in version libbsd/0.1.5-1

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, brad@brad-smith.co.uk, Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>:
Bug#537210; Package libbsd. (Thu, 16 Jul 2009 05:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
New Bug report received and forwarded. Copy sent to brad@brad-smith.co.uk, Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>. (Thu, 16 Jul 2009 05:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libbsd: FTBFS: build fail on Renesas SH(sh4)
Date: Thu, 16 Jul 2009 14:32:19 +0900
[Message part 1 (text/plain, inline)]
Package: libbsd
Version: 0.1.4-1
Severity: wishlist
Tags: patch
X-Debbugs-CC: debian-superh@lists.debian.org
X-Debbugs-CC: brad@brad-smith.co.uk

Hi!

I am now trying to run Debian on Renesas SH CPU(sh4).

Current source code can not build package.
Because there is a coding error.

<snip>
cc -o src/nlist.o -Iinclude/ -include bsd/bsd.h -D_GNU_SOURCE
-D__REENTRANT -Wall -g -O2 -c src/nlist.c
In file included from src/nlist.c:53:
src/local-elf.h:150:11: error: missing binary operator before token "("
src/local-elf.h:155:2: error: #error Unknown SH endianness
src/nlist.c: In function '__elf_is_okay__':
src/nlist.c:234: error: 'ELF_TARG_DATA' undeclared (first use in this function)
src/nlist.c:234: error: (Each undeclared identifier is reported only once
src/nlist.c:234: error: for each function it appears in.)
make[1]: *** [src/nlist.o] Error 1
make[1]: Leaving directory `/home/iwamatsu/build-area/libbsd-0.1.4'
<snip>


I made a patch to support SH.
And  there was the same problem in the avr32 architecture, I revised it.
Would you please apply it?

Best regards,
 Nobuhiro

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.29-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=ja_JP.UTF-8, LC_CTYPE=ja_JP.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[libbsd.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>:
Bug#537210; Package libbsd. (Thu, 16 Jul 2009 11:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>. (Thu, 16 Jul 2009 11:48:02 GMT) Full text and rfc822 format available.

Message #10 received at 537210@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>, 537210@bugs.debian.org
Cc: Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>
Subject: Re: Bug#537210: libbsd: FTBFS: build fail on Renesas SH(sh4)
Date: Thu, 16 Jul 2009 11:32:31 +0000 (UTC)
Nobuhiro Iwamatsu dixit:

>I made a patch to support SH.

The patch is bogus, "#if defined(FOO)" is the correct syntax.
You will probably need to provide either the __LITTLE_ENDIAN__
or __BIG_ENDIAN__ symbol.

//mirabilos
-- 
“It is inappropriate to require that a time represented as
 seconds since the Epoch precisely represent the number of
 seconds between the referenced time and the Epoch.”
	-- IEEE Std 1003.1b-1993 (POSIX) Section B.2.2.2




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>:
Bug#537210; Package libbsd. (Thu, 16 Jul 2009 12:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>. (Thu, 16 Jul 2009 12:06:06 GMT) Full text and rfc822 format available.

Message #15 received at 537210@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Thorsten Glaser <tg@mirbsd.de>
Cc: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>, 537210@bugs.debian.org
Subject: Re: Bug#537210: libbsd: FTBFS: build fail on Renesas SH(sh4)
Date: Thu, 16 Jul 2009 14:32:00 +0200 (CEST)
>> I made a patch to support SH.
>
> The patch is bogus, "#if defined(FOO)" is the correct syntax.
> You will probably need to provide either the __LITTLE_ENDIAN__
> or __BIG_ENDIAN__ symbol.

The patch is only reverted, the bug is really in libbsd sources.

Petr




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>:
Bug#537210; Package libbsd. (Thu, 16 Jul 2009 21:30:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Extra info received and forwarded to list. Copy sent to Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>. (Thu, 16 Jul 2009 21:30:08 GMT) Full text and rfc822 format available.

Message #20 received at 537210@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: Thorsten Glaser <tg@mirbsd.de>, 537210@bugs.debian.org
Subject: Re: Bug#537210: libbsd: FTBFS: build fail on Renesas SH(sh4)
Date: Fri, 17 Jul 2009 06:21:20 +0900
[Message part 1 (text/plain, inline)]
Hi, all.

2009/7/16 Petr Salinger <Petr.Salinger@seznam.cz>:
>>> I made a patch to support SH.
>>
>> The patch is bogus, "#if defined(FOO)" is the correct syntax.
>> You will probably need to provide either the __LITTLE_ENDIAN__
>> or __BIG_ENDIAN__ symbol.
>
> The patch is only reverted, the bug is really in libbsd sources.
>

Oh! Sorry and thank you for your comments.

I sent a wrong patch. And I attached a right patch.

Could you check attached patch?

Best regards,
  Nobuhiro

-- 
Nobuhiro Iwamatsu
[libbsd_v2.patch (text/x-diff, attachment)]

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 17 Jul 2009 20:09:06 GMT) Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Mon, 20 Jul 2009 18:54:13 GMT) Full text and rfc822 format available.

Notification sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Bug acknowledged by developer. (Mon, 20 Jul 2009 18:54:13 GMT) Full text and rfc822 format available.

Message #27 received at 537210-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 537210-close@bugs.debian.org
Subject: Bug#537210: fixed in libbsd 0.1.5-1
Date: Mon, 20 Jul 2009 18:39:28 +0000
Source: libbsd
Source-Version: 0.1.5-1

We believe that the bug you reported is fixed in the latest version of
libbsd, which is due to be installed in the Debian FTP archive:

libbsd-dev_0.1.5-1_amd64.deb
  to pool/main/libb/libbsd/libbsd-dev_0.1.5-1_amd64.deb
libbsd0-dbg_0.1.5-1_amd64.deb
  to pool/main/libb/libbsd/libbsd0-dbg_0.1.5-1_amd64.deb
libbsd0-udeb_0.1.5-1_amd64.udeb
  to pool/main/libb/libbsd/libbsd0-udeb_0.1.5-1_amd64.udeb
libbsd0_0.1.5-1_amd64.deb
  to pool/main/libb/libbsd/libbsd0_0.1.5-1_amd64.deb
libbsd_0.1.5-1.diff.gz
  to pool/main/libb/libbsd/libbsd_0.1.5-1.diff.gz
libbsd_0.1.5-1.dsc
  to pool/main/libb/libbsd/libbsd_0.1.5-1.dsc
libbsd_0.1.5.orig.tar.gz
  to pool/main/libb/libbsd/libbsd_0.1.5.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 537210@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated libbsd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 17 Jul 2009 13:59:02 +0200
Source: libbsd
Binary: libbsd-dev libbsd0 libbsd0-udeb libbsd0-dbg
Architecture: source amd64
Version: 0.1.5-1
Distribution: unstable
Urgency: low
Maintainer: Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 libbsd-dev - utility functions from BSD systems - development files
 libbsd0    - utility functions from BSD systems - shared library
 libbsd0-dbg - utility functions from BSD systems - debugging symbols
 libbsd0-udeb - utility functions from BSD systems - shared library (udeb)
Closes: 537210
Changes: 
 libbsd (0.1.5-1) unstable; urgency=low
 .
   * New upstream release.
     - Fix typo in ‘local-elf.h’ affecting AVR32 and SuperH builds.
       (Closes: #537210)
   * Add a new library udeb.
   * Remove --sourcedir from dh_install unneeded with debhelper compat 7.
   * Now using Standards-Version 3.8.2 (no changes needed).
Checksums-Sha1: 
 8b13528f2762b35b1d83d8df0724f67547edcee9 1263 libbsd_0.1.5-1.dsc
 620c2b340e18afa20526696f218d1b3c8312e409 55721 libbsd_0.1.5.orig.tar.gz
 87507510ef4fc18fee52e1d2ad524181beb2dae6 6073 libbsd_0.1.5-1.diff.gz
 8c2bbb7d9a6e34db32b3d5fb8aff3171da64b7d8 63416 libbsd-dev_0.1.5-1_amd64.deb
 738ab83e0b0af91ae2a2458a098c88d201049f4c 32342 libbsd0_0.1.5-1_amd64.deb
 97be1b2c5342f0c0b598783164a08dd411fc5552 15412 libbsd0-udeb_0.1.5-1_amd64.udeb
 ba287ec67bc7afe2ea6550d2ab7017373504984f 40010 libbsd0-dbg_0.1.5-1_amd64.deb
Checksums-Sha256: 
 1e8c06c3d5c3871299c0048f99162f6fc2b9174b38c0227f7b197d0d88c81586 1263 libbsd_0.1.5-1.dsc
 fd85503d19eeeb52c9955e22fdee9ff4d1ef524d34adaf2b7a664a430bad82de 55721 libbsd_0.1.5.orig.tar.gz
 4e81244e738530f52bf2caca90eba3f097624575f30eccfe4198a8f94127078d 6073 libbsd_0.1.5-1.diff.gz
 4b76b6543e3c3b7d822b498aa4c7a3a56aa3d9aed7d85c48cc874e26ee23a75e 63416 libbsd-dev_0.1.5-1_amd64.deb
 ee8eead98813084f270b8100e01d94d5e57786a13047bf273ef4f9672d3b4cf8 32342 libbsd0_0.1.5-1_amd64.deb
 67493e26db32a64672ccbd3bb34e5487cd7f51d888cd28dcbf2775c307cd2747 15412 libbsd0-udeb_0.1.5-1_amd64.udeb
 fe023fbdea6d79046936a2e14024efcc1e2d26f7b206cdc0cf409959dad124e9 40010 libbsd0-dbg_0.1.5-1_amd64.deb
Files: 
 97ba57d4e7250be1caadcc7e4e9134df 1263 libs optional libbsd_0.1.5-1.dsc
 31094484e5472a0020eb1abfd708897b 55721 libs optional libbsd_0.1.5.orig.tar.gz
 18a828fe6ad485f9278a954a7c3ab032 6073 libs optional libbsd_0.1.5-1.diff.gz
 f19b3311a1bf827ecfbed255b4974c20 63416 libdevel optional libbsd-dev_0.1.5-1_amd64.deb
 3bed4b1bdc790888e946947e21fcb3f0 32342 libs optional libbsd0_0.1.5-1_amd64.deb
 2e3a3288d58b73e494ad1e6d918502a1 15412 debian-installer optional libbsd0-udeb_0.1.5-1_amd64.udeb
 46f26dfed5118a13cdf234df7b565c42 40010 debug extra libbsd0-dbg_0.1.5-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkpgZ6wACgkQuW9ciZ2SjJu80QCfYz5iBfvwwBWKuUY4IhL05COo
87cAn39fnLeghsVjbggd76WWZb0iKlK5
=2t/6
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 18 Aug 2009 07:26:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:55:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.